This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 734073 - dashboard name max length should be restricted on client side (GUI) and should revert original name on error case
dashboard name max length should be restricted on client side (GUI) and shoul...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.1
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: Ian Springer
Mike Foley
:
Depends On:
Blocks: rhq41-ui
  Show dependency treegraph
 
Reported: 2011-08-29 07:36 EDT by Jeeva Kandasamy
Modified: 2013-08-05 20:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:20:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screen shot (60.33 KB, image/jpeg)
2011-08-29 07:36 EDT, Jeeva Kandasamy
no flags Details
back-end log file from server (41.52 KB, text/x-log)
2011-08-29 07:37 EDT, Jeeva Kandasamy
no flags Details

  None (edit)
Description Jeeva Kandasamy 2011-08-29 07:36:23 EDT
Created attachment 520359 [details]
screen shot

Description of problem:
Seems dashboard name max length supported on Database is 200 chars. There is no restriction on client side (GUI). If we enter more than 200 chars throws exception on server backed and error message on GUI, but it is not much relevant for this error. GWT shows new name until navigate to another menu!

Version-Release number of selected component (if applicable):
Version: 4.1.0-SNAPSHOT
Build Number: a98c893
GWT Version: 2.0.4
SmartGWT Version: 2.4

Browser: Firefox 3.6.18
OS: RHEL 6.1 X86_64

How reproducible:
100%

Steps to Reproduce:
1.Navigate to dashboard
2.Select a dashboard and go to edit mode
3.Change the name, new name length should be more than 200 chars
4.Click on 'View mode'
5.Throws exception on back-end (valid), but new name is showing on dashboard until navigate to some other menu.  
  
Actual results:
Throws exception on backend and exception message on GUI (not much user friendly), GWT holds new name until navigate to another menu.

Expected results:
Should be validated on client side itself, do not load server with huge error trace. On GUI side message should be more specific for this error and old name should be retained on GWT.

Additional info: Screen shot and log files are attached.
Comment 1 Jeeva Kandasamy 2011-08-29 07:37:07 EDT
Created attachment 520360 [details]
back-end log file from server
Comment 2 Ian Springer 2011-10-21 13:41:58 EDT
Fixed - [master e91ab5c] (http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=e91ab5c).
Comment 3 Mike Foley 2011-10-21 17:16:51 EDT
build #607
Comment 4 Mike Foley 2012-02-07 14:20:10 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.